---
abstract: 'Bugzilla Bug Tracking System'
author:
  - 'Bugzilla Developers <developers@bugzilla.org>'
build_requires:
  Capture::Tiny: '0'
  DBD::SQLite: '1.29'
  DateTime::Format::SQLite: '0.11'
  ExtUtils::MakeMaker: '7.22'
  Perl::Critic::Freenode: '0'
  Perl::Critic::Policy::Documentation::RequirePodLinksIncludeText: '0'
  Perl::Tidy: '20180220'
  Pod::Coverage: '0'
  Selenium::Remote::Driver: '1.31'
  Test2::V0: '0'
  Test::More: '0'
  Test::Perl::Critic::Progressive: '0'
  Test::Selenium::Firefox: '0'
  Test::WWW::Selenium: '0'
configure_requires:
  ExtUtils::MakeMaker: '7.22'
dynamic_config: 0
generated_by: 'ExtUtils::MakeMaker version 7.34, CPAN::Meta::Converter version 2.150010'
license: unknown
meta-spec:
  url: http://module-build.sourceforge.net/META-spec-v1.4.html
  version: '1.4'
name: Bugzilla
no_index:
  directory:
    - t
    - inc
optional_features:
  alien_cmark:
    description: 'Support GitHub-flavored markdown'
    requires:
      Alien::libcmark_gfm: '3'
  argon2:
    description: 'Support hashing passwords with Argon2'
    requires:
      Crypt::Argon2: '0.004'
  auth_ldap:
    description: 'LDAP Authentication'
    requires:
      Net::LDAP: '0'
  auth_radius:
    description: 'RADIUS Authentication'
    requires:
      Authen::Radius: '0'
  better_xff:
    description: 'Improved behavior of MOJO_REVERSE_PROXY'
    requires:
      Mojolicious::Plugin::ForwardedFor: '0'
  chart_clicker:
    description: 'Support nice-looking charts'
    requires:
      Chart::Clicker: '0'
  datadog:
    description: 'Data Dog support'
    requires:
      DataDog::DogStatsd: '0.05'
  detect_charset:
    description: 'Automatic charset detection for text attachments'
    requires:
      Encode: '2.21'
      Encode::Detect: '0'
  docker:
    description: 'Run Bugzilla inside Docker'
    requires:
      File::Copy::Recursive: '0'
  documentation:
    description: Documentation
    requires:
      File::Copy::Recursive: '0'
      File::Which: '0'
  extension_push_optional:
    requires:
      XML::Simple: '0'
  graphical_reports:
    description: 'Graphical Reports'
    requires:
      GD: '1.20'
      GD::Graph: '0'
      GD::Text: '0'
      Template::Plugin::GD::Image: '0'
  html_desc:
    description: 'More HTML in Product/Group Descriptions'
    requires:
      HTML::Parser: '3.67'
      HTML::Scrubber: '0'
  inbound_email:
    description: 'Inbound Email'
    requires:
      Email::MIME::Attachment::Stripper: '0'
      Email::Reply: '0'
  jobqueue:
    description: 'Mail Queueing'
    requires:
      Daemon::Generic: '0'
      TheSchwartz: '1.10'
  jsonrpc:
    description: 'JSON-RPC Interface'
    requires:
      JSON::RPC: '== 1.01'
      Test::Taint: '1.06'
  linux_pdeath:
    description: 'Linux::Pdeathsig for a good parent/child relationships'
    requires:
      Linux::Pdeathsig: '0'
  linux_pid:
    description: Linux::PID
    requires:
      Linux::Pid: '0'
  linux_smaps:
    description: 'Linux::Smaps::Tiny for limiting memory usage'
    requires:
      BSD::Resource: '0'
      Linux::Smaps::Tiny: '0'
  mariadb:
    description: 'MariaDB database support'
    requires:
      DBD::MariaDB: '0'
      DateTime::Format::MySQL: '0.06'
  markdown:
    description: 'Markdown syntax support for comments'
    requires:
      Text::MultiMarkdown: '1.000034'
      Unicode::GCString: '0'
  memcached:
    description: 'Memcached Support'
    requires:
      Cache::Memcached::Fast: '0.17'
  mfa:
    description: 'Multi-Factor Authentication'
    requires:
      Auth::GoogleAuth: '1.01'
      GD::Barcode::QRcode: '0'
  moving:
    description: 'Move Bugs Between Installations'
    requires:
      MIME::Parser: '5.406'
      XML::Twig: '0'
  mysql:
    description: 'MySQL database support'
    requires:
      DBD::mysql: '5.003'
      DateTime::Format::MySQL: '0.06'
  new_charts:
    description: 'New Charts'
    requires:
      Chart::Lines: v2.4.10
      GD: '1.20'
  oauth2_server:
    description: 'OAuth2 Server support'
    requires:
      Mojolicious::Plugin::OAuth2::Server: '0.44'
  old_charts:
    description: 'Old Charts'
    requires:
      Chart::Lines: v2.4.10
      GD: '1.20'
  oracle:
    description: 'Oracle database support'
    requires:
      DBD::Oracle: '1.19'
  patch_viewer:
    description: 'Patch Viewer'
    requires:
      PatchReader: v0.9.6
  pg:
    description: 'Postgres database support'
    requires:
      DBD::Pg: v2.19.3
  rest:
    description: 'REST Interface'
    requires:
      JSON::RPC: '== 1.01'
      Test::Taint: '1.06'
  s3:
    description: 'Amazon S3 Attachment Storage'
    requires:
      Class::Accessor::Fast: '0'
      URI::Escape: '0'
      XML::Simple: '0'
  sentry:
    description: 'Sentry Support'
    requires:
      Log::Log4perl::Appender::Raven: '0.006'
  smtp_auth:
    description: 'SMTP Authentication'
    requires:
      Authen::SASL: '0'
  sqlite:
    description: 'SQLite database support'
    requires:
      DBD::SQLite: '1.29'
      DateTime::Format::SQLite: '0.11'
  typesniffer:
    description: 'Sniff MIME type of attachments'
    requires:
      File::MimeInfo::Magic: '0'
      IO::Scalar: '0'
  updates:
    description: 'Automatic Update Notifications'
    requires:
      XML::Twig: '0'
  xmlrpc:
    description: 'XML-RPC Interface'
    requires:
      SOAP::Lite: '0.712'
      Test::Taint: '1.06'
      XMLRPC::Lite: '0.712'
recommends:
  Safe: '2.30'
requires:
  Algorithm::BloomFilter: '0.02'
  CGI: '4.31'
  CGI::Compile: '0'
  CGI::Emulate::PSGI: '0'
  CPAN::Meta::Prereqs: '2.132830'
  CPAN::Meta::Requirements: '2.121'
  Class::XSAccessor: '1.18'
  Crypt::CBC: '0'
  Crypt::DES: '0'
  Crypt::DES_EDE3: '0'
  DBI: '1.614'
  DBIx::Class: '0'
  DBIx::Class::Helpers: '2.034002'
  DBIx::Connector: '0'
  Daemon::Generic: '0'
  Date::Format: '2.23'
  Date::Parse: '2.31'
  DateTime: '0.75'
  DateTime::TimeZone: '2.11'
  Devel::NYTProf: '6.04'
  Digest::SHA: '5.47'
  EV: '4.0'
  Email::Address::XS: '1.01'
  Email::MIME: '1.904'
  Email::Sender: '2.600'
  FFI::Platypus: '0'
  File::MimeInfo::Magic: '0'
  Future: '0.34'
  HTML::Escape: '1.10'
  HTML::Tree: '0'
  IO::Async: '0.71'
  IO::Compress::Gzip: '0'
  IO::Scalar: '0'
  IPC::System::Simple: '0'
  JSON::MaybeXS: '1.003008'
  JSON::Validator: '3.05'
  JSON::XS: '2.0'
  LWP::Protocol::https: '6.07'
  LWP::UserAgent: '6.44'
  LWP::UserAgent::Determined: '0'
  List::MoreUtils: '0.418'
  Log::Dispatch: '2.67'
  Log::Log4perl: '1.49'
  Math::Random::ISAAC: v1.0.1
  Module::Metadata: '1.000033'
  Module::Runtime: '0.014'
  Mojo::JWT: '0.07'
  MojoX::Log::Log4perl: '0.04'
  Mojolicious: '8.42'
  Moo: '2.002004'
  MooX::StrictConstructor: '0.008'
  Mozilla::CA: '20160104'
  Net::DNS: '0'
  Package::Stash: '0.37'
  Parse::CPAN::Meta: '1.44'
  PerlX::Maybe: '0'
  Regexp::Common: '0'
  Role::Tiny: '2.000003'
  Scope::Guard: '0.21'
  Sereal: '4.004'
  Sub::Quote: '2.005000'
  Sys::Syslog: '0'
  Template: '3.008'
  Text::CSV_XS: '1.26'
  Text::Diff: '0'
  Throwable: '0.200013'
  Tie::IxHash: '0'
  Type::Tiny: '1.004004'
  URI: '1.55'
  URI::Escape::XS: '0.14'
  perl: '5.010001'
  version: '0.87'
version: '20200805.1'
x_serialization_backend: 'CPAN::Meta::YAML version 0.018'
